> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/accounts/{account-id}/balances/{balance-id}

> Modify a balance for the given account id



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json patch /preview/retail-media/accounts/{account-id}/balances/{balance-id}
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/accounts/{account-id}/balances/{balance-id}:
    patch:
      tags:
        - Balance
      summary: /preview/retail-media/accounts/{account-id}/balances/{balance-id}
      description: Modify a balance for the given account id
      operationId: UpdateBalanceV1
      parameters:
        - name: account-id
          in: path
          description: The account of the balance
          required: true
          schema:
            type: string
        - name: balance-id
          in: path
          description: The balance to change the dates
          required: true
          schema:
            type: string
      requestBody:
        description: An object that represents the available options to modify a balance.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValueResourceInputOfUpdateBalanceModelV1'
        required: true
      responses:
        '200':
          description: Success
      security:
        - oauth:
            - RetailMedia_Balance_Manage
components:
  schemas:
    ValueResourceInputOfUpdateBalanceModelV1:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ValueResourceOfUpdateBalanceModelV1'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    ValueResourceOfUpdateBalanceModelV1:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/UpdateBalanceModelV1'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    UpdateBalanceModelV1:
      type: object
      properties:
        endDate:
          $ref: '#/components/schemas/NillableOfNullableOfDateOnly'
        memo:
          type: string
          description: Memo.
          nullable: true
        name:
          type: string
          description: Name of the balance.
          nullable: true
        retailerPoNumber:
          type: string
          description: Purchase Order number.
          nullable: true
        startDate:
          type: string
          description: Start date of the balance in the format YYYY-MM-DD.
          nullable: true
      additionalProperties: false
      description: >-
        An object that represents the available options to set when updating a
        Retail Media Balance.
    NillableOfNullableOfDateOnly:
      type: object
      properties:
        value:
          type: string
          description: Underlying actual value
          nullable: true
      additionalProperties: false
      description: represents a value that can be set to null explicitly
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````